Bug 860466 - [enhancement] The self-heal daemon should call itself glustershd
[enhancement] The self-heal daemon should call itself glustershd
Status: NEW
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Pranith Kumar K
: Reopened, RFE, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 17:49 EDT by Joe Julian
Modified: 2017-03-08 09:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:50:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-09-25 17:49:01 EDT
The self heal daemon should change it's process name to glustershd so it can be more easily managed. It would be nice to be able to use process tools to, send signals to the self-heal daemon without having to figure out which glusterfs process was the right one.

I don't think we need another symlink, just have a way (maybe a volfile setting?) that allows the process to set it's argv[0].
Comment 1 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.
Comment 2 Pranith Kumar K 2016-06-15 03:37:21 EDT
Joe,
    Are you saying we should have symlink with glustershd -> glusterfsd so that the name in ps comes as glustershd?

Pranith
Comment 3 Joe Julian 2016-07-25 09:05:51 EDT
Answered in original description.
Comment 4 Kaushal 2017-03-08 05:50:28 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.